- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# machinectl – Systemd’s machinectl privilege escalation

New in version 2.8.

- Synopsis
- Parameters
- Status

## Synopsis

- This become plugins allows your remote/login user to execute commands as another user via the machinectl utility.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
become_exe - | Default: "machinectl" | ini entries: [privilege_escalation] become_exe = machinectl [machinectl_become_plugin] executable = machinectl env:ANSIBLE_BECOME_EXE env:ANSIBLE_MACHINECTL_EXE var: ansible_become_exe var: ansible_machinectl_exe | Machinectl executable
become_flags - | Default: "" | ini entries: [privilege_escalation] become_flags = [machinectl_become_plugin] flags = env:ANSIBLE_BECOME_FLAGS env:ANSIBLE_MACHINECTL_FLAGS var: ansible_become_flags var: ansible_machinectl_flags | Options to pass to machinectl
become_pass - |  | ini entries: [machinectl_become_plugin] password = VALUE env:ANSIBLE_BECOME_PASS env:ANSIBLE_MACHINECTL_PASS var: ansible_become_password var: ansible_become_pass var: ansible_machinectl_pass | Password for machinectl
become_user - |  | ini entries: [privilege_escalation] become_user = VALUE [machinectl_become_plugin] user = VALUE env:ANSIBLE_BECOME_USER env:ANSIBLE_MACHINECTL_USER var: ansible_become_user var: ansible_machinectl_user | User you 'become' to execute the task

## Status

- This become is not guaranteed to have a backwards compatible interface. [preview]
- This become is maintained by the Ansible Community. [community]

### Authors

- ansible (@core)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.